package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemAssembleInfoBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.AssembleInfoBean

/**
 * 组装信息ViewHolder
 */
class AssembleInfoViewHolder(view: View) :
    BaseViewHolder<AssembleInfoBean, ItemAssembleInfoBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean
        binding.position = position
        binding.executePendingBindings()
    }
}
